%define anolis_release 1
Name:          zenity
Version:       3.44.1
Release:       %{anolis_release}%{?dist}
Summary:       Display dialog boxes from shell scripts

License:       LGPLv2+
URL:           https://wiki.gnome.org/Projects/Zenity
Source:        https://download.gnome.org/sources/%{name}/3.42/%{name}-%{version}.tar.xz

BuildRequires: pkgconfig(glib-2.0) >= 2.43.4
BuildRequires: pkgconfig(gtk+-3.0) >= 3.16.0
BuildRequires: pkgconfig(libnotify) >= 0.6.1
BuildRequires: pkgconfig(x11)
BuildRequires: gcc
BuildRequires: gettext
BuildRequires: itstool
BuildRequires: meson >= 0.57.0

%description
Zenity lets you display Gtk+ dialog boxes from the command line and through
shell scripts. It is similar to gdialog, but is intended to be saner. It comes
from the same family as dialog, Xdialog, and cdialog.

%package doc
Summary: Documents for %{name}
BuildArch: noarch
Requires: %{name} = %{version}-%{release}

%description  doc
Doc pages for %{name}.

%prep
%autosetup -p1


%build
%meson -Dlibnotify=true
%meson_build

%install
%meson_install

# we don't want a perl dependency just for this
rm -f $RPM_BUILD_ROOT%{_bindir}/gdialog

%find_lang zenity --with-gnome

%files -f zenity.lang
%license COPYING
%{_bindir}/zenity
%{_datadir}/zenity
%{_mandir}/man1/zenity.1*

%files doc
%doc AUTHORS NEWS THANKS README.md

%changelog
* Sat Apr 29 2023 Funda Wang <fundawang@yeah.net> - 3.44.1-1
- New version 3.44.1

* Sun Jan 29 2023 Funda Wang <fundawang@yeah.net> - 3.44.0-1
- New version 3.44.0

* Wed Jan 25 2023 Funda Wang <fundawang@yeah.net> - 3.42.1-1
- New version 3.42.1

* Mon Apr 18 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 3.42.0-1
- init from upstream
